﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace PictureBoxLabelClickSample
{
	public class MyPictureBox : PictureBox
	{
		private RectangleF textRectangle;
		private string text = "Click Me";
		private Font font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular);
		
		protected override void OnPaint(PaintEventArgs e)
		{
			base.OnPaint(e);

			textRectangle = new RectangleF(0, this.Height - e.Graphics.MeasureString(text, font).Height, this.Width, this.Height);
	
			e.Graphics.DrawString("Click Me", font, new SolidBrush(Color.Black), textRectangle); 
		}

		protected override void OnMouseDown(MouseEventArgs e)
		{
			base.OnMouseDown(e);

			Rectangle rec = new Rectangle((int)textRectangle.X, (int)textRectangle.Y, (int)textRectangle.Width, (int)textRectangle.Height);

			if (rec.Contains(e.X, e.Y))
			{
				MessageBox.Show("Label Click");
			}
		}
	}
}
